Bug 247326 - Data dir is hard-coded into installation
Summary: Data dir is hard-coded into installation
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: BackupPC   
(Show other bugs)
Version: 7
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Johan Cwiklinski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-07 00:15 UTC by Joe Bayes
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-12 09:27:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joe Bayes 2007-07-07 00:15:28 UTC
BackupPC-2.1.2-7.fc6

The BackupPC that comes with Fedora stores its backup files in
/var/lib/BackupPC. But /var is not necessarily the best place to store hundreds
of gigabytes of backup files: I want to store them on another filesystem entirely. 

As best I can tell, there's no easy way to change that short of either ditching
the RPM and installing from the tarball, or searching through the installed .pl
files and changing the setting wherever it appears (which would be tedious and
error-prone) or using a soft link (which is really klugey). 

Is there some way that we can insert a configuration option to let the user
decide where the backed-up files are stored?

Or, if such an option already exists, can we document its existence?

Comment 1 Johan Cwiklinski 2007-09-12 09:27:22 UTC
Indeed, /var/lib/BackupPC is the default... 

There is no way to change the backups path, once installed.

According to upstream[1], possible options are :
1 - compile again (incompatible with RPMs)
2 - use a mount
3 - use a symlink

Regards,

[1]
http://sourceforge.net/mailarchive/forum.php?thread_name=327757.91573.qm%40web81404.mail.mud.yahoo.com&forum_name=backuppc-users

Comment 2 Joe Bayes 2007-11-04 22:13:32 UTC
This feature has been added in BackupPC-3.0.0-3.fc7 .
Hooray!



Note You need to log in before you can comment on or make changes to this bug.